import { CancellationCallback } from './models';
export declare class CancellationToken {
    private constructor();
    private _isCancelled;
    private _reason;
    private _callbacks;
    private _isDisposed;
    readonly isCancelled: boolean;
    readonly reason: string;
    static create(): CancellationToken;
    cancel(): void;
    cancel(reason: string): void;
    onCancelled(callback: CancellationCallback): boolean;
    dispose(): void;
    private callAllCallbacks;
}
